#!/bin/bash
export SIMPLEHELP_HOME=/Applications/SimpleHelp
function shutdown()
{
        date
        echo "Shutting down SimpleHelp"
        $SIMPLEHELP_HOME/serverstop.sh 
}

date
echo "Starting SimpleHelp"
export SH_PID=$!
cd $SIMPLEHELP_HOME
. $SIMPLEHELP_HOME/serverstart.sh 

# allow any signal which would kill a process to stop 
trap shutdown HUP INT QUIT ABRT KILL ALRM TERM TSTP

echo "Waiting for `cat $SH_PID`"
wait `cat $SH_PID`
